MatOfByte (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class MatOfByte

- java.lang.Object
- - org.opencv.core.Mat
  - - org.opencv.core.MatOfByte

-     public class MatOfByte
      extends Mat

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Mat

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MatOfByte()`
    `` | `MatOfByte(byte... a)`
    `` | `MatOfByte(int offset, int length, byte... a)`
    `protected` | `MatOfByte(long addr)`
    `` | `MatOfByte(Mat m)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alloc(int elemNumber)`
    `void` | `fromArray(byte... a)`
    `void` | `fromArray(int offset, int length, byte... a)`
    `void` | `fromList(java.util.List<java.lang.Byte> lb)`
    `static MatOfByte` | `fromNativeAddr(long addr)`
    `byte[]` | `toArray()`
    `java.util.List<java.lang.Byte>` | `toList()`

    - ### Methods inherited from class org.opencv.core.Mat

      `adjustROI, assignTo, assignTo, channels, checkVector, checkVector, checkVector, clone, col, colRange, colRange, cols, convertTo, convertTo, convertTo, copyTo, copyTo, create, create, cross, dataAddr, depth, diag, diag, diag, dims, dot, dump, elemSize, elemSize1, empty, eye, eye, finalize, get, get, get, get, get, get, getNativeObjAddr, height, inv, inv, isContinuous, isSubmatrix, locateROI, mul, mul, ones, ones, push_back, put, put, put, put, put, put, release, reshape, reshape, row, rowRange, rowRange, rows, setTo, setTo, setTo, setTo, size, step1, step1, submat, submat, submat, t, toString, total, type, width, zeros, zeros`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatOfByte

          public MatOfByte()

    - #### MatOfByte

          protected MatOfByte(long addr)

    - #### MatOfByte

          public MatOfByte(Mat m)

    - #### MatOfByte

          public MatOfByte(byte... a)

    - #### MatOfByte

          public MatOfByte(int offset,
                           int length,
                           byte... a)

  - ### Method Detail

    - #### fromNativeAddr

          public static MatOfByte fromNativeAddr(long addr)

    - #### alloc

          public void alloc(int elemNumber)

    - #### fromArray

          public void fromArray(byte... a)

    - #### fromArray

          public void fromArray(int offset,
                                int length,
                                byte... a)

    - #### toArray

          public byte[] toArray()

    - #### fromList

          public void fromList(java.util.List<java.lang.Byte> lb)

    - #### toList

          public java.util.List<java.lang.Byte> toList()

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown